commit 70f25091044bcf096d634cf9a6faa91bfe15c14b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 29 11:42:09 2024 +0100

    Update copyright year
    
    (cherry picked from commit 716f1c7c6c25da402655dfb9a39aafd9c8940b3d)

commit a17e7e1ab9f174715be91172279dcab93118ea55
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 28 12:47:25 2024 +0100

    I18n: Update translation hu (99%).
    
    488 translated messages, 1 untranslated message.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b65ea941a28b4691a5927b294323c16d2f8361c4
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 28 00:47:23 2024 +0100

    I18n: Update translation hu (98%).
    
    481 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit e413a05f96049da74295b733ef84663c42a83405
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Feb 25 12:45:11 2024 +0100

    Do not use g_log_set_always_fatal()
    
    It's often confusing, even when you're used to it but have forgotten
    it's there. It's possible and more practical to use the G_DEBUG
    environment variable instead.
    
    (cherry picked from commit e1fd0576da0860050552d8ac3108607aaf1531c8)

commit 449c857bc12f95f19ae4663f04f48570f7800e3a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Feb 22 18:14:27 2024 +0100

    launcher: Ensure default icon in empty launchers
    
    Because of this empty launchers had no icon when run as external.
    
    (cherry picked from commit 41edb6b02439754a6f401b62263e6ccddf3fbddb)

commit 4052a7f0f61580d35ea9dcf6ec938537dba9bdea
Author: Anonymous <noreply@xfce.org>
Date:   Wed Feb 7 12:47:26 2024 +0100

    I18n: Update translation it (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit abeb948fbad71b3f785907a8c71f9d7c9f4ffcf7
Author: Anonymous <noreply@xfce.org>
Date:   Fri Jan 26 00:47:16 2024 +0100

    I18n: Update translation is (89%).
    
    440 translated messages, 49 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d9e6f4640366dbef9147646c2ea00e9b7a04bde1
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Jan 11 18:11:31 2024 +0100

    build: Search for bind_textdomain_codeset in libintl too
    
    In FreeBSD bind_textdomain_codeset is provided by external package
    gettext via libintl.
    
    Related: https://gitlab.xfce.org/xfce/libxfce4util/-/issues/25
    (cherry picked from commit 211e64a19ad4c5d462b466227d5d3e8bdea9990f)

commit fb5a6aebc9bbf78dabadd7e7beea16b968b8937a
Author: Anonymous <noreply@xfce.org>
Date:   Sun Jan 7 00:47:08 2024 +0100

    I18n: Update translation pt_BR (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 87d0bb94602021921cdb2692837714a24be7623a
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Dec 22 23:37:39 2023 +0100

    Fix memory management of GTypeModules
    
    Finalizing a module containing types and/or interfaces implementations
    is no longer possible as of glib 2.79.0. See
    https://gitlab.gnome.org/GNOME/glib/-/merge_requests/3779
    
    (cherry picked from commit 823bb38136377ec7e8a640279a9d22585efb339f)

commit 1996861039965d02f1261547d411167535a256a9
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Dec 12 16:09:05 2023 +0100

    pager: Avoid recursion in WnckScren signal handler
    
    Since ae7be754, calling wnck_screen_force_update() can make this signal
    handler recursive by emitting the viewports-changed or
    window-manager-changed signals. One could reset plugin->pager before
    recreating it further down to support this recursion, but it should
    rather not happen, and this wnck_screen_force_update() call is useless
    here (it has been removed from master long ago).
    
    Fixes: #806

commit 51f5396b433dad16f03cd6146fcc5fcc2d243216
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Dec 6 17:51:49 2023 +0100

    pager: Do not query workspace count if screen is not initialized
    
    This can happen if the panel is hidden at startup because it is
    associated with a disconnected monitor, then shown when this monitor is
    connected. The plugin's size negotiation then takes place before calling
    construct(), where the screen is initialized.
    
    (cherry picked from commit 12ef913a210fbfb6523f3b156f187a19cc382bc9)

commit 17cb0160c89162d3d0286465a12aa80df02cd3e0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 27 00:47:48 2023 +0100

    I18n: Update translation cs (98%).
    
    482 translated messages, 7 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d505f4de6d210a41af54ffa4c3ab0c6bb066c1d4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Nov 24 12:47:56 2023 +0100

    I18n: Update translation tr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f1cc6e5a1d61c011389604f4b4b9f8f76549e06d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Thu Nov 23 19:35:26 2023 +0100

    libxfce4panel: Fix custom menu items management
    
    To avoid duplicate entries in the context menu, custom menu items should
    be destroyed whenever xfce_panel_plugin_menu_destroy() is called, not
    only when plugin->priv->menu != NULL, as this menu is only created the
    first time it's when shown.
    
    However, doing this reveals an additional call to
    xfce_panel_plugin_menu_destroy() in xfce_panel_plugin_set_locked(),
    which empties the menu after being populated by the plugin. I think this
    call could simply be removed, but in any case it should only occur if
    the plugin is locked, as there's no reason to empty the menu otherwise.
    
    Fixes: #804
    Related: 99127d1d3c, fb37ad2c35
    (cherry picked from commit 7ee275c0fb442d2b24d307040b9ca4ea61e0ffa1)

commit bb3b4da3b242234fd41885c65bed14c2e849c0b0
Author: Anonymous <noreply@xfce.org>
Date:   Mon Nov 20 00:47:35 2023 +0100

    I18n: Update translation fi (92%).
    
    453 translated messages, 36 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 7cf556c144d08c825463b0ba24b5f9de7fcdb6ea
Author: Anonymous <noreply@xfce.org>
Date:   Wed Nov 15 12:47:39 2023 +0100

    I18n: Update translation ie (94%).
    
    462 translated messages, 27 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 5d62bd1d918b8b5e26be341cfd3709fdc9f38cd2
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 23 22:31:43 2023 +0200

    clock: Create monitor proxy asynchronously
    
    Closes: #798
    Related: !88
    (cherry picked from commit 2f5c1f0317d23f846e3022afb3bacdbe7bb01909)

commit 3fc53d42e014bbc02f5261e76de96b5e43a73ecb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Oct 2 12:55:44 2023 +0200

    Add missing G_BEGIN_DECLS
    
    (cherry picked from commit dbd66440cd1d4e51308adcbbe8467a62459f6569)

commit 50f1bc8379911ba9d99b33306d2358772cba9040
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 27 18:06:27 2023 +0200

    Back to development

commit d3e882be12f89e597973b2b31a9d5397c0cd4edb
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Sep 27 18:04:58 2023 +0200

    Updates for release

commit 7a16a42ccc28a84a10cd8f472be72f2f4ea5dd8a
Author: Anonymous <noreply@xfce.org>
Date:   Fri Sep 15 00:47:45 2023 +0200

    I18n: Update translation sl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 94c823b8f30476cac20b3091e87f2fd7a09a3c0a
Author: Anonymous <noreply@xfce.org>
Date:   Wed Sep 13 00:47:32 2023 +0200

    I18n: Update translation da (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4e1402719d092778c0c435e8fb4f754f90df25f5
Author: Anonymous <noreply@xfce.org>
Date:   Tue Sep 12 00:47:10 2023 +0200

    I18n: Update translation da (98%).
    
    481 translated messages, 8 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 074d49da957db3867af42115e6fabed4df540f80
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Sep 9 12:07:39 2023 +0200

    pager: Do not adapt upper value of spin button in viewport mode
    
    This doesn't make sense. Libwnck handles this internally without any
    obvious way for us to get the number of rows, so it's best not to allow
    the user to change the number of rows in this case, as this will only
    lead to bad results.
    
    (cherry picked from commit 390d152aae6fe3d5b1cad813e3a39ce9799dbf60)

commit ae7be754b05bd8acb427c21bd7830986f5e6a85e
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 8 16:27:12 2023 +0200

    pager: Update workspace layout also on window manager change
    
    Closes: #789
    (cherry picked from commit eeb9a578dadd5ea591bcb226bb35ff89b2bc6a2a)

commit 589de03da848b4789f5254f56d34e0c9beb58a40
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Sep 8 16:12:07 2023 +0200

    pager: Fix aspect ratio for viewport (V2)
    
    It seems that the number of workspaces contained in a viewport is the
    ratio of widths, at least when there is only one line. Not sure we
    really support other cases.
    
    Closes: #789
    Fixes: 8f310b868646036b6eb1694005b667f22229b0b1
    (cherry picked from commit b997c483b590c4b3b89b63dfa3fc596f0e3f0a40)

commit 18b0059536239e286fa3951c1afab75101f72417
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Aug 30 19:52:20 2023 +0200

    actions: Fix memory leak
    
    (cherry picked from commit f493695eaa3327a4bd80beb79643a942c75ca1d8)

commit 3997e710111e4a0e3d8fe4e7cefdba5adda85895
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 26 00:47:39 2023 +0200

    I18n: Update translation kk (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a62a20a3091a88524169e64dc5a626a873ffab9f
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Aug 20 19:27:15 2023 +0200

    pager: Delay GdkScreen signal handlers
    
    This no longer seems necessary after the switch to libxfce4windowing for
    some reason, but it could become necessary again, and it's not a problem
    to give libwnck a little time to update the layout.
    
    Fixes: #784
    (cherry picked from commit 69a8bdf1834740570d7bf8064dd8869d353c3642)

commit 628d978e5bf98b9ee3a87277d6ad2bce1e11a9b4
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Aug 19 12:10:28 2023 +0200

    panel: Do not scale background image when UI scale > 1
    
    (cherry picked from commit 96bf7b9002197d282be3f5b1ecfe1bf1689c9766)

commit 04de932e7ad2c18aaa143ce4653d17440960f4ea
Author: Anonymous <noreply@xfce.org>
Date:   Wed Aug 16 00:47:16 2023 +0200

    I18n: Update translation it (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 373bdcd382708453e36ff6f0c953bd49ccb8bd2d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon Aug 14 12:50:06 2023 +0200

    popup-command: Do not block autohide when popped up at pointer
    
    This seems better, since the menu is not linked to any panel widget in
    this case (besides, the plugin button is not pressed). Using a
    GtkInvisible instead of a panel widget is required after 8d576257, since
    the grab would give the panel input focus.
    
    (cherry picked from commit 9434c01ad9c3c6b9a1effc4610079eb960030c91)

commit 921eb98d3061cda1b19c9e7de33d756c21f2e2d4
Author: Anonymous <noreply@xfce.org>
Date:   Sat Aug 5 12:47:02 2023 +0200

    I18n: Update translation es (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4f8d4566de4f677e6b87cce62cae64c42b745d4d
Author: Gaël Bonithon <gael@xfce.org>
Date:   Wed Aug 2 20:50:07 2023 +0200

    Fix memory leaks when using gtk_css_provider_new()
    
    (cherry picked from commit 0fb8fd58cb20d2ac2d0b78475b0aac9f25cda2d0)

commit e6df4e6100ee6460661ce6c49f6173985f2ff7b8
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 30 15:25:54 2023 +0200

    panel: Clear item list before repopulating item dialog
    
    (cherry picked from commit 20a26cae033b066e1e5e5e9d9199ec10d27be54f)

commit 799c22cb15f586247e5847e2ae699ae3f92f6bfe
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Jul 25 18:28:04 2023 +0200

    panel: Remove autosave timer for plugins
    
    It was introduced in 89cfd529 without rationale, and it's not clear that
    a save signal should be sent to plugins every ten minutes. On the
    contrary, it seems that this should only be done on rare occasions,
    typically on shutdown, which is retained. For the rest, it's up to each
    plugin to manage its backups as it sees fit.
    
    Fixes: #767
    (cherry picked from commit 28a847619ee6fe847c12bd72c2af69d304b865f0)

commit 83d5baa63eaeec6f01b61e759494f131b0580b06
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 19 12:47:26 2023 +0200

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit caac43c9c7bbfe1693f66944e622b9378976d330
Author: Anonymous <noreply@xfce.org>
Date:   Wed Jul 19 00:47:11 2023 +0200

    I18n: Update translation pl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit cfd8131e85fd2ac06f19c396950e43e0d32db1fe
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Jul 9 12:08:20 2023 +0200

    wrapper: Really ensure we don't call gtk_main_quit() twice
    
    The disconnection of name_owner_changed() must take place before the
    regular call to gtk_main_quit(), as the plugin may take longer than the
    panel to terminate.
    
    (cherry picked from commit 8c53176438b34d82a40625888a5ff50e3b32fc48)

commit b94dbf20dac916dd3edf30a1ead818e7db0df4a7
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sat Jul 8 17:58:16 2023 +0200

    panel: Block autohide when the panel has input focus
    
    The autohide algorithm implicitly assumes that the active window is a
    foreign window, but it may in fact be the panel itself (at least on
    X11). This is the case, for example, if the panel has input focus via a
    plugin's GtkEntry.
    
    In this case, the algorithm gives a hazardous result, and may in
    particular enter an infinite loop in certain circumstances.
    
    Blocking autohide if the panel has input focus allows to exit the
    algorithm as quickly as possible at its various entry points, thus
    resolving this problem. It also ensures that the panel is not hidden
    while the user is typically typing text into a GtkEntry.
    
    Finally, even if autohide is not used, this ensures that panel opacity
    is correctly updated, since panel enter/leave opacities follow the same
    logic as autohide.
    
    Fixes: #764
    (cherry picked from commit 8d57625730c7a30752d60d43e4162a239f7eb485)

commit 8c2b6519c842be8e95fd6c25507a56e86ab81a6b
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 20 12:47:23 2023 +0200

    I18n: Update translation et (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 206ce8940499ba09651f557de83c3d3471fbdf62
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Jun 16 18:20:54 2023 +0200

    clock: Fix sync timeout for seconds display
    
    5cf7006e fixed the same problem for the minutes display, but there's a
    bit more work here, since nothing was done in addition to
    `g_timeout_add()` to synchronize the seconds display.
    
    A synchronization every 10 seconds with a precision of a tenth of a
    second seems reasonable: this gives a readjustment every 50 to 60
    seconds on my system, if the panel isn't too busy (since the plugin is
    internal). I took the opportunity to raise the timeout priorities, which
    should improve things a little in this case.
    
    Fixes: #756
    Completes: 5cf7006ee02cac06a693714ee9c30d3e7d326c17
    (cherry picked from commit a6c4e8a1175954ab389f55d33b68b172cff67cc3)

commit 2059b09e8f8bd1202b3ba6543e29973b8433b514
Author: Erkki Moorits <erkki.moorits@mail.ee>
Date:   Wed Jun 14 15:36:01 2023 +0000

    clock: Implement ConsoleKit sleep monitor
    
    Related: !88
    (cherry picked from commit b7c709a6eb62949038bb704dcb23997d2606dfe1)

commit b78fe062e29751a185ec11dfbee9fccf6eb434ec
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 13 00:47:21 2023 +0200

    I18n: Update translation ca (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit dbee97504b3ca061b7b5d0be5f446339dabe0ab6
Author: Anonymous <noreply@xfce.org>
Date:   Tue Jun 6 00:47:06 2023 +0200

    I18n: Update translation eu (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit fb59672c07909da456791e1ca3e55be701bd58c6
Author: Darin <newhoa@protonmail.com>
Date:   Tue May 30 01:54:04 2023 -0400

    Add/Sharpen icons at 48-128px
    
    Grid-align and resize icons at 48px, 64px, 96px, 128px/scalable.
    Removed the SVGs from 128x128 folder, as the SVGs should only be in the scalable folder.
    
    (cherry picked from commit 163d8c6e153b71c458601164583a4f8ea5b73f49)

commit bcd95a1299348bf7480d840677cf3468e298a5f7
Author: Darin <newhoa@protonmail.com>
Date:   Mon May 29 23:15:49 2023 -0400

    Adjust 32px icon margins, new separator icon
    
    (cherry picked from commit acf85f5ab329255ce901e69d23bbb0729a523007)

commit 94cc0c140894bc8e1fa359d07ad8c851bb543274
Author: Darin <newhoa@protonmail.com>
Date:   Mon May 22 20:38:22 2023 -0400

    Sharpen icons at 16px and 32px
    
    This grid-aligns all the icons at 16px and 32px
    giving them a sharper look.
    
    (cherry picked from commit 714bd61514db33ea05376e873e79acbd53377dba)

commit 751b510c42e6e8d1c3359ddbfc06418d19ca1dfc
Author: Darin <newhoa@protonmail.com>
Date:   Sun May 28 05:28:27 2023 -0400

    Increase margins for 24px icons
    
    (cherry picked from commit 851f21e54789794943f84361c6937d18c1126606)

commit c95d09de2c0b206d870fc15e0a36087c4d348df2
Author: Darin <newhoa@protonmail.com>
Date:   Mon May 22 17:00:28 2023 -0400

    Make 24px icons sharper
    
    Scale and grid-align pixels at 24px for sharper look
    in Panel Preferences > Items tab
    
    (cherry picked from commit 5ec275e29b7a97bce9988b1f3bf9fcc44dbed9de)

commit ce21be26e24cd38d650276ded544aaa94a0ce955
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 30 00:48:14 2023 +0200

    I18n: Update translation da (97%).
    
    477 translated messages, 12 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 84ce35dcbce9ad33b8f96f877bbd6f68969e7f4e
Author: Anonymous <noreply@xfce.org>
Date:   Sun May 28 12:47:40 2023 +0200

    I18n: Update translation fr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d6d363674c09a1f4d19dba001309057cea912302
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri May 26 11:29:09 2023 +0200

    icons: Fix wrong exported sizes
    
    Some mistakes in !114.
    
    (cherry picked from commit 879905999ce6b4507cbb70db7868f925396aa087)

commit de06aa315c8810e9e2c336fa927d729431f2c124
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 22 19:41:42 2023 +0200

    Back to development

commit 91f0b5d7cdc0495de229bb6f131dd3c21ab8e321
Author: Gaël Bonithon <gael@xfce.org>
Date:   Mon May 22 19:40:18 2023 +0200

    Updates for release

commit f8fd418a089c5bc878f5b5cd5b7a06b42e35a796
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 21 12:54:58 2023 +0200

    icons: Scale at size 16x16 to 128x128 (Fixes #385)
    
    (cherry picked from commit 36d623a872191486110693dc059835cf1f279a13)

commit b65ae27498f9a51bfb7d841d9429f6e8d802aa67
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 21 17:38:59 2023 +0200

    icons: Fix centering of org.xfce.panel
    
    (cherry picked from commit 0357fde318c113b536f871da034a3edbf25b75b6)

commit 61b1b380db3b00d4391f5b5896318bf95205e894
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun May 21 17:22:12 2023 +0200

    icons: Rename org.xfce.panel.statustray to org.xfce.panel.systray
    
    (cherry picked from commit ad59029bac9308bce0b908cd8c63c17baa76a458)

commit eb0fae342d31b38dd3cccf1f7437002e25c31e0f
Author: Anonymous <noreply@xfce.org>
Date:   Tue May 9 00:47:52 2023 +0200

    I18n: Update translation sl (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8f6a0681a1dfae226193492c55c67aaa208718d6
Author: Anonymous <noreply@xfce.org>
Date:   Fri May 5 10:50:53 2023 +0200

    I18n: Update translation fr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit b1597beb28d9e02391c7ad1517980893215481f3
Author: Anonymous <noreply@xfce.org>
Date:   Wed May 3 12:48:03 2023 +0200

    I18n: Update translation ko (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 688db189ffaf21efcb660a654db695c4fbb1e34a
Author: Brian J. Tarricone <brian@tarricone.org>
Date:   Tue Apr 25 14:23:20 2023 -0700

    Fix memory leaks around gtk_get_current_event()
    
    gtk_get_current_event() makes a copy of the event and returns the copy,
    which needs to be freed.
    
    For the cases where we create a dummy event, we need to ref the
    GdkWindow we set on it, as gdk_event_free() will unref it.
    
    (cherry picked from commit 6c3781e8805acd6e1f0f87de94101fb5ef503c6b)

commit 8cc218dd5fe1728620db78d0d89e233324bc7159
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 25 01:04:38 2023 +0200

    I18n: Update translation ca (95%).
    
    468 translated messages, 21 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 8b8ea33ac25f809f99c0317e1d7a8d147f63bda6
Author: Anonymous <noreply@xfce.org>
Date:   Mon Apr 24 12:47:09 2023 +0200

    I18n: Update translation ca (95%).
    
    465 translated messages, 24 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 31a59dd21fe353329ea48ff12ba14a89afae2d36
Author: Anonymous <noreply@xfce.org>
Date:   Tue Apr 18 00:46:37 2023 +0200

    I18n: Update translation it (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3bf948cc2618632aaaaabefae1b1be50d5a607c3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Sun Apr 16 17:55:54 2023 +0200

    tasklist: Fix use-after-free on tasklist child
    
    This was running smoothly since 2010 but the update to GLib 2.76, which
    makes g_slice_free() a simple wrapper around g_free_sized(), revealed
    this bug.
    
    Fixes: #730
    (cherry picked from commit a5a289ede6c2175b97059ead5d63a59dbde04ea0)

commit 3cdc36a8d9f6bb9131a8e65a9131d8bd4f313e6d
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 15 00:49:17 2023 +0200

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit a27c4edb740ab2c456750c10469ad34e6e3f4fec
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 9 12:47:19 2023 +0200

    I18n: Update translation tr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0ef9eb55b7a1b923f191f40f300badb9bebf9209
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 8 12:46:56 2023 +0200

    I18n: Update translation el (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 9df84418dc7f95ec597bb0dee85bf2225dd990e4
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 7 12:47:27 2023 +0200

    I18n: Update translation uk (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 55cc4f90d4e1aa2befdd4fcf5981517977ce9ddc
Author: Anonymous <noreply@xfce.org>
Date:   Fri Apr 7 12:47:27 2023 +0200

    I18n: Update translation et (99%).
    
    487 translated messages, 2 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit d16e0a0277ddddc28b39cf4f1f764c07cd8ce737
Author: Anonymous <noreply@xfce.org>
Date:   Wed Apr 5 12:48:12 2023 +0200

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 370ae480db560190d6e0b2a2ef8c256f12349b05
Author: Anonymous <noreply@xfce.org>
Date:   Sun Apr 2 00:46:45 2023 +0200

    I18n: Update translation oc (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 38fba6e6a1e977782853963e37a13d108c5ee870
Author: Anonymous <noreply@xfce.org>
Date:   Sat Apr 1 12:47:43 2023 +0200

    I18n: Update translation ru (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit f90cef7ec739f01b93be3ea922efb5dbcd652b1c
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 31 20:50:11 2023 +0200

    systray: Update icon also on status change
    
    This appears as a kind of complement to e3504540. The special treatment
    of the NewStatus signal is not justified and partly duplicates what is
    done in get_all_properties_result().
    
    Fixes: #726
    (cherry picked from commit 1285c0a6034057857f80936bc32df0ec34645c29)

commit beae4abd72aca8be473f0570e0632901433e05f3
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 19:55:58 2023 +0200

    Back to development

commit aa088d6edb734e2c26cdd31967bb1a18bffec577
Author: Gaël Bonithon <gael@xfce.org>
Date:   Tue Mar 28 19:55:31 2023 +0200

    Updates for release

commit caaf2b9cd0188d580811a39256176f745d2627bc
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 26 00:46:35 2023 +0100

    I18n: Update translation pt_BR (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 80a9df41949379b3a79c92d8eea6859f43b0da0a
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 26 00:46:35 2023 +0100

    I18n: Update translation id (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ab91f237fb5b921f86e7d1343c919d679e272272
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 26 00:46:34 2023 +0100

    I18n: Update translation he (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 0f7490eac63b05a0671bb90fc423ac161e6d01ef
Author: Anonymous <noreply@xfce.org>
Date:   Tue Mar 21 00:46:22 2023 +0100

    I18n: Update translation hr (92%).
    
    450 translated messages, 39 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit ad4d3e5bb212d7a0e3ac0f3058424dfb87380b9f
Author: Anonymous <noreply@xfce.org>
Date:   Mon Mar 20 00:46:48 2023 +0100

    I18n: Update translation ja (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 550fa7662e8551386f4d9fbb28d666559c43999d
Author: Anonymous <noreply@xfce.org>
Date:   Sun Mar 19 00:46:46 2023 +0100

    I18n: Update translation en_GB (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 73cf94230428d282d448b82f33f6e6aef0a83743
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 18 01:14:04 2023 +0100

    I18n: Update translation ro (79%).
    
    389 translated messages, 100 untranslated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 65b8bad3cd07be89930d43f6ce8518576d0e18d8
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 18 01:14:04 2023 +0100

    I18n: Update translation nb (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 3dfabbe7a0961f690815c43c9401430dd904614e
Author: Anonymous <noreply@xfce.org>
Date:   Sat Mar 18 01:14:04 2023 +0100

    I18n: Update translation fr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 6e7a7a1ccba4c958304356c1528aff5e42f2b86b
Author: Gaël Bonithon <gael@xfce.org>
Date:   Fri Mar 17 14:02:18 2023 +0100

    launcher: Show action menu also when there are several items
    
    Maybe it's a bit strange to see the actions of the first element when
    you click on the launcher arrow, but it's nice that they appear when you
    click on the element itself. So let's keep it simple and show them all
    the time.
    
    Fixes: #720
    Related: 7f3dd44de951a74dc1adb446e2b2f643043b1100
    (cherry picked from commit 6f7831daccb72291c7c48dceff72794e44a130a9)

commit 9f34af5a2f90db700188a903c2892b4cb5bd4cc5
Author: Anonymous <noreply@xfce.org>
Date:   Fri Mar 17 00:46:28 2023 +0100

    I18n: Update translation pt (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit efc32b58e4c0272f8961b0a2a2009e4a2de58d7b
Author: Arthur Demchenkov <spinal.by@gmail.com>
Date:   Thu Mar 16 08:54:22 2023 +0300

    Fix memory management of vala generated plugins
    
    The wrong use of "(transfer full)" statements results in vala generated
    code that does g_object_unref() on widgets that were already destroyed
    by containers they were hold by.
    
    An example error message:
    (wrapper-2.0:123214): GLib-GObject-CRITICAL **: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
    
    The error was produced by xfce4-notes plugin while removing from the panel.
    
    If we look in libxfce4panel/xfce-panel-convenience.c we can find that
    xfce_panel_create_button() and xfce_panel_create_toggle_button() return
    objects created by gtk_button_new() and gtk_toggle_button_new().
    
    Both GtkButton and GtkToggleButton are ancestors of GInitiallyUnowned:
    https://docs.gtk.org/gtk3/class.ToggleButton.html
    https://docs.gtk.org/gtk3/class.Button.html
    
    This means that they are created with floating references. The floating
    references are converted to ordinary by g_object_ref_sink() when widget
    (button in our example) is added to a container.
    
    But in our case vala generates code that assumes that the buttons are
    hold with ordinary references. And this leads to possible segfaults if
    vala generated code will do g_object_unref() on the widgets that were
    already destroyed with containers they were hold by.
    
    Follow these docs for better understanding:
    1. https://docs.gtk.org/gobject/method.Object.ref_sink.html
    2. https://developer-old.gnome.org/gtk3/stable/gtk-question-index.html (Q#1.5)
    3. https://discourse.gnome.org/t/about-transfer-in-gobject-introspection/2500
    4. https://gi.readthedocs.io/en/latest/annotations/giannotations.html
    
    (cherry picked from commit 3ad4d6ab10acb108d97c84348f646f0bd8da3354)

commit b79567272318aafd48b7482703ad026847916dbe
Author: Anonymous <noreply@xfce.org>
Date:   Thu Mar 16 00:47:02 2023 +0100

    I18n: Update translation el (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 12ac8cecd7211a88c8ce12a3f495dfb74f8cb8aa
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:47 2023 +0100

    I18n: Update translation zh_CN (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).

commit 4f8741516291deecef3ed9cd4f07ed5d6212b14c
Author: Anonymous <noreply@xfce.org>
Date:   Wed Mar 15 00:46:47 2023 +0100

    I18n: Update translation sr (100%).
    
    489 translated messages.
    
    Transifex (https://explore.transifex.com/xfce/).
